<?php

namespace B2buy\MasterService;

use B2buy\MasterService\Models\MasterService;


class MasterService
{
    /**
     * $master_service object.
     */
    protected $master_service;

    /**
     * Constructor.
     */
    public function __construct()
    {
        $this->master_service = app(MasterService::class);
    }

    /**
     * Returns count of master_service.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find master_service by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function master_service($slug)
    {
        return  $this->master_service
            ->findBySlug($slug)
            ->toArray();
    }
}
