<?php

namespace B2buy\MasterService\Providers;

use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
                    \B2buy\MasterService\Models\MasterService::class 
                => config('b2buy.master_service.master_service.workflow')
            ];
    }

}
