<?php

// Routes for master_service.

// Guard routes for master_service
Route::prefix('{guard}/master_service')->group(function () {

    Route::patch('master_service/actions/{action}', 'MasterServiceActionsController');
    Route::patch('master_service/action/{master_service}/{action}', 'MasterServiceActionController');
    Route::patch('master_service/workflow/{master_service}/{transition}', 'MasterServiceWorkflowController');
    Route::resource('master_service', 'MasterServiceResourceController');
});



// Public routes for master_service
Route::get('master_services/', 'MasterServicePublicController@index');
Route::get('master_service/{slug?}', 'MasterServicePublicController@show');
