<?php

// Web routes  for master_service.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for master_service

Route::prefix('{guard}/master_service')->group(function () {

    Route::get('/workflow/{master_service}/{user}', 'MasterServiceWorkflowController@get')
        ->name('master_service.master_service.workflow');
    Route::post('/workflow/{master_service}/{user}', 'MasterServiceWorkflowController@post');

    Route::get('/action/{master_service}/{user}', 'MasterServiceActionController@get')
        ->name('master_service.master_service.action');
    Route::post('/action/{master_service}/{user}', 'MasterServiceActionController@post');

});

