<?php

namespace B2buy\MasterService\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use B2buy\MasterService\Models\MasterService;

class MasterServiceWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public MasterService $master_service,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
